<?php
/**
 * Typography
 *
 * @package Mindful Blog
 */

$wp_customize->add_section(
	'mindful_blog_typography',
	array(
		'panel' => 'mindful_blog_theme_options',
		'title' => esc_html__( 'Typography', 'mindful-blog' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'mindful_blog_site_title_font',
	array(
		'default'           => 'Josefin Sans',
		'sanitize_callback' => 'mindful_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'mindful_blog_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'mindful-blog' ),
		'section'  => 'mindful_blog_typography',
		'settings' => 'mindful_blog_site_title_font',
		'type'     => 'select',
		'choices'  => mindful_blog_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'mindful_blog_site_description_font',
	array(
		'default'           => 'Inder',
		'sanitize_callback' => 'mindful_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'mindful_blog_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'mindful-blog' ),
		'section'  => 'mindful_blog_typography',
		'settings' => 'mindful_blog_site_description_font',
		'type'     => 'select',
		'choices'  => mindful_blog_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'mindful_blog_header_font',
	array(
		'default'           => 'Inder',
		'sanitize_callback' => 'mindful_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'mindful_blog_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'mindful-blog' ),
		'section'  => 'mindful_blog_typography',
		'settings' => 'mindful_blog_header_font',
		'type'     => 'select',
		'choices'  => mindful_blog_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'mindful_blog_body_font',
	array(
		'default'           => 'Inder',
		'sanitize_callback' => 'mindful_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'mindful_blog_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'mindful-blog' ),
		'section'  => 'mindful_blog_typography',
		'settings' => 'mindful_blog_body_font',
		'type'     => 'select',
		'choices'  => mindful_blog_get_all_google_font_families(),
	)
);
